#include <stdio.h>
#include "psLib.h"

int main(void)
{
    psTraceSetLevel("utils.logMsg", 1);
    
    psLogSetDestination(PS_LOG_TO_STDERR);
    psLogSetLevel(PS_LOG_INFO);
    psLogSetFormat("NM");
    
    psLogMsg("init", PS_LOG_INFO, "Hello World\n");
    fprintf(stderr,"    Expect an abort():\n");
    psAbort("fini", "I'm in Hawai`i");

    return 0;
}
